
Foreman - Feature #12396

Realm snippet not expanded when previewing provisioning template

11/04/2015 12:41 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Templates   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/211

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1187520

Description of problem:

If one reviews the provisioning template of a client enrolled in IPA through the REALM proxy, the IDM snippet which enrolls the host

can't be seen.

Version-Release number of selected component (if applicable):

Satellite-6.0.6

How reproducible:

Every time

Steps to Reproduce:

1. Hosts -> All hosts -> <select a host>

2. Templates -> review provisioning template

3. Do note that the Identity Management Registration Snippet is missing

Additional info:

now try pressing the button "enable rebuild on next host boot" and then fetch 

http://sat6.rhcdev.acme.net/unattended/provision?token=bbc364a5-3a1f-4ccc-91fc-bb5f14dd95be

Do note that this kickstart file does include the  Identity Management Registration Snippet

Related issues:

Related to Foreman - Bug #10119: @host.otp isn't detemplated in user-data Rejected 04/12/2015

Related to Katello - Bug #14528: No longer block freeipa snippet rendering on... Closed 04/07/2016

Associated revisions

Revision 3150309c - 11/04/2015 12:54 PM - Stephen Benjamin 

fixes #12396 - Show FreeIPA template even in preview

History

#1 - 11/04/2015 12:56 PM - Stephen Benjamin

- Category set to Templates

- Assignee changed from Tom Caspy to Stephen Benjamin

#2 - 11/04/2015 12:56 PM - Stephen Benjamin

- Subject changed from IDM snippet not expanded when reviewing provisioning template to Realm snippet not expanded when previewing

provisioning template

#3 - 11/19/2015 09:21 AM - Dominic Cleal

- Status changed from New to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=1187520
http://sat6.rhcdev.acme.net/unattended/provision?token=bbc364a5-3a1f-4ccc-91fc-bb5f14dd95be


- translation missing: en.field_release set to 71

- Pull request https://github.com/theforeman/community-templates/pull/211 added

#4 - 12/05/2015 02:14 PM - Anonymous

- Has duplicate Bug #10119: @host.otp isn't detemplated in user-data added

#5 - 12/05/2015 02:14 PM - Anonymous

- Has duplicate deleted (Bug #10119: @host.otp isn't detemplated in user-data)

#6 - 12/05/2015 02:14 PM - Anonymous

- Related to Bug #10119: @host.otp isn't detemplated in user-data added

#7 - 04/07/2016 09:30 AM - Stephen Benjamin

- Related to Bug #14528: No longer block freeipa snippet rendering on precense of host OTP added

#8 - 04/07/2016 09:30 AM - Stephen Benjamin

- Bugzilla link deleted (1187520)

Bugzilla should be against the Katello templates.
